瀏覽代碼

first time upload

catur 6 年之前
當前提交
20c8766a1e
共有 41 個文件被更改,包括 2240 次插入0 次删除
  1. 25 0
      .gitignore
  2. 二進制
      .mvn/wrapper/maven-wrapper.jar
  3. 1 0
      .mvn/wrapper/maven-wrapper.properties
  4. 286 0
      mvnw
  5. 161 0
      mvnw.cmd
  6. 59 0
      pom.xml
  7. 14 0
      src/main/java/com/latian/latianSpringBoot/LatianSpringBootApplication.java
  8. 48 0
      src/main/java/com/latian/latianSpringBoot/controller/ControllerCategories.java
  9. 54 0
      src/main/java/com/latian/latianSpringBoot/controller/ControllerCustomer.java
  10. 60 0
      src/main/java/com/latian/latianSpringBoot/controller/ControllerEmployees.java
  11. 26 0
      src/main/java/com/latian/latianSpringBoot/controller/ControllerOrderDetail.java
  12. 37 0
      src/main/java/com/latian/latianSpringBoot/controller/ControllerOrders.java
  13. 32 0
      src/main/java/com/latian/latianSpringBoot/controller/ControllerProducts.java
  14. 45 0
      src/main/java/com/latian/latianSpringBoot/controller/ControllerShipper.java
  15. 55 0
      src/main/java/com/latian/latianSpringBoot/controller/ControllerSuppliers.java
  16. 73 0
      src/main/java/com/latian/latianSpringBoot/model/ModelCategories.java
  17. 130 0
      src/main/java/com/latian/latianSpringBoot/model/ModelCustomer.java
  18. 232 0
      src/main/java/com/latian/latianSpringBoot/model/ModelEmployees.java
  19. 81 0
      src/main/java/com/latian/latianSpringBoot/model/ModelOrderDetail.java
  20. 164 0
      src/main/java/com/latian/latianSpringBoot/model/ModelOrders.java
  21. 119 0
      src/main/java/com/latian/latianSpringBoot/model/ModelProducts.java
  22. 58 0
      src/main/java/com/latian/latianSpringBoot/model/ModelShipper.java
  23. 151 0
      src/main/java/com/latian/latianSpringBoot/model/ModelSuppliers.java
  24. 10 0
      src/main/java/com/latian/latianSpringBoot/repository/CategoriesRepository.java
  25. 9 0
      src/main/java/com/latian/latianSpringBoot/repository/CustomerRepository.java
  26. 9 0
      src/main/java/com/latian/latianSpringBoot/repository/EmployeesRepository.java
  27. 11 0
      src/main/java/com/latian/latianSpringBoot/repository/OrderDetailRepository.java
  28. 9 0
      src/main/java/com/latian/latianSpringBoot/repository/OrdersRepository.java
  29. 9 0
      src/main/java/com/latian/latianSpringBoot/repository/ProductsRepository.java
  30. 9 0
      src/main/java/com/latian/latianSpringBoot/repository/ShipperRepository.java
  31. 9 0
      src/main/java/com/latian/latianSpringBoot/repository/SuppliersRepository.java
  32. 30 0
      src/main/java/com/latian/latianSpringBoot/service/ServiceCategories.java
  33. 29 0
      src/main/java/com/latian/latianSpringBoot/service/ServiceCustomer.java
  34. 29 0
      src/main/java/com/latian/latianSpringBoot/service/ServiceEmployees.java
  35. 29 0
      src/main/java/com/latian/latianSpringBoot/service/ServiceOrder.java
  36. 29 0
      src/main/java/com/latian/latianSpringBoot/service/ServiceOrderDetail.java
  37. 29 0
      src/main/java/com/latian/latianSpringBoot/service/ServiceProducts.java
  38. 30 0
      src/main/java/com/latian/latianSpringBoot/service/ServiceShipper.java
  39. 29 0
      src/main/java/com/latian/latianSpringBoot/service/ServiceSupliers.java
  40. 4 0
      src/main/resources/application.properties
  41. 16 0
      src/test/java/com/latian/latianSpringBoot/LatianSpringBootApplicationTests.java

+ 25 - 0
.gitignore

@@ -0,0 +1,25 @@
1
+/target/
2
+!.mvn/wrapper/maven-wrapper.jar
3
+
4
+### STS ###
5
+.apt_generated
6
+.classpath
7
+.factorypath
8
+.project
9
+.settings
10
+.springBeans
11
+.sts4-cache
12
+
13
+### IntelliJ IDEA ###
14
+.idea
15
+*.iws
16
+*.iml
17
+*.ipr
18
+
19
+### NetBeans ###
20
+/nbproject/private/
21
+/build/
22
+/nbbuild/
23
+/dist/
24
+/nbdist/
25
+/.nb-gradle/

二進制
.mvn/wrapper/maven-wrapper.jar


+ 1 - 0
.mvn/wrapper/maven-wrapper.properties

@@ -0,0 +1 @@
1
+distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.5.4/apache-maven-3.5.4-bin.zip

+ 286 - 0
mvnw

@@ -0,0 +1,286 @@
1
+#!/bin/sh
2
+# ----------------------------------------------------------------------------
3
+# Licensed to the Apache Software Foundation (ASF) under one
4
+# or more contributor license agreements.  See the NOTICE file
5
+# distributed with this work for additional information
6
+# regarding copyright ownership.  The ASF licenses this file
7
+# to you under the Apache License, Version 2.0 (the
8
+# "License"); you may not use this file except in compliance
9
+# with the License.  You may obtain a copy of the License at
10
+#
11
+#    http://www.apache.org/licenses/LICENSE-2.0
12
+#
13
+# Unless required by applicable law or agreed to in writing,
14
+# software distributed under the License is distributed on an
15
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
16
+# KIND, either express or implied.  See the License for the
17
+# specific language governing permissions and limitations
18
+# under the License.
19
+# ----------------------------------------------------------------------------
20
+
21
+# ----------------------------------------------------------------------------
22
+# Maven2 Start Up Batch script
23
+#
24
+# Required ENV vars:
25
+# ------------------
26
+#   JAVA_HOME - location of a JDK home dir
27
+#
28
+# Optional ENV vars
29
+# -----------------
30
+#   M2_HOME - location of maven2's installed home dir
31
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
32
+#     e.g. to debug Maven itself, use
33
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
34
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
35
+# ----------------------------------------------------------------------------
36
+
37
+if [ -z "$MAVEN_SKIP_RC" ] ; then
38
+
39
+  if [ -f /etc/mavenrc ] ; then
40
+    . /etc/mavenrc
41
+  fi
42
+
43
+  if [ -f "$HOME/.mavenrc" ] ; then
44
+    . "$HOME/.mavenrc"
45
+  fi
46
+
47
+fi
48
+
49
+# OS specific support.  $var _must_ be set to either true or false.
50
+cygwin=false;
51
+darwin=false;
52
+mingw=false
53
+case "`uname`" in
54
+  CYGWIN*) cygwin=true ;;
55
+  MINGW*) mingw=true;;
56
+  Darwin*) darwin=true
57
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
58
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
59
+    if [ -z "$JAVA_HOME" ]; then
60
+      if [ -x "/usr/libexec/java_home" ]; then
61
+        export JAVA_HOME="`/usr/libexec/java_home`"
62
+      else
63
+        export JAVA_HOME="/Library/Java/Home"
64
+      fi
65
+    fi
66
+    ;;
67
+esac
68
+
69
+if [ -z "$JAVA_HOME" ] ; then
70
+  if [ -r /etc/gentoo-release ] ; then
71
+    JAVA_HOME=`java-config --jre-home`
72
+  fi
73
+fi
74
+
75
+if [ -z "$M2_HOME" ] ; then
76
+  ## resolve links - $0 may be a link to maven's home
77
+  PRG="$0"
78
+
79
+  # need this for relative symlinks
80
+  while [ -h "$PRG" ] ; do
81
+    ls=`ls -ld "$PRG"`
82
+    link=`expr "$ls" : '.*-> \(.*\)$'`
83
+    if expr "$link" : '/.*' > /dev/null; then
84
+      PRG="$link"
85
+    else
86
+      PRG="`dirname "$PRG"`/$link"
87
+    fi
88
+  done
89
+
90
+  saveddir=`pwd`
91
+
92
+  M2_HOME=`dirname "$PRG"`/..
93
+
94
+  # make it fully qualified
95
+  M2_HOME=`cd "$M2_HOME" && pwd`
96
+
97
+  cd "$saveddir"
98
+  # echo Using m2 at $M2_HOME
99
+fi
100
+
101
+# For Cygwin, ensure paths are in UNIX format before anything is touched
102
+if $cygwin ; then
103
+  [ -n "$M2_HOME" ] &&
104
+    M2_HOME=`cygpath --unix "$M2_HOME"`
105
+  [ -n "$JAVA_HOME" ] &&
106
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
107
+  [ -n "$CLASSPATH" ] &&
108
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
109
+fi
110
+
111
+# For Mingw, ensure paths are in UNIX format before anything is touched
112
+if $mingw ; then
113
+  [ -n "$M2_HOME" ] &&
114
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
115
+  [ -n "$JAVA_HOME" ] &&
116
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
117
+  # TODO classpath?
118
+fi
119
+
120
+if [ -z "$JAVA_HOME" ]; then
121
+  javaExecutable="`which javac`"
122
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
123
+    # readlink(1) is not available as standard on Solaris 10.
124
+    readLink=`which readlink`
125
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
126
+      if $darwin ; then
127
+        javaHome="`dirname \"$javaExecutable\"`"
128
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
129
+      else
130
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
131
+      fi
132
+      javaHome="`dirname \"$javaExecutable\"`"
133
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
134
+      JAVA_HOME="$javaHome"
135
+      export JAVA_HOME
136
+    fi
137
+  fi
138
+fi
139
+
140
+if [ -z "$JAVACMD" ] ; then
141
+  if [ -n "$JAVA_HOME"  ] ; then
142
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
143
+      # IBM's JDK on AIX uses strange locations for the executables
144
+      JAVACMD="$JAVA_HOME/jre/sh/java"
145
+    else
146
+      JAVACMD="$JAVA_HOME/bin/java"
147
+    fi
148
+  else
149
+    JAVACMD="`which java`"
150
+  fi
151
+fi
152
+
153
+if [ ! -x "$JAVACMD" ] ; then
154
+  echo "Error: JAVA_HOME is not defined correctly." >&2
155
+  echo "  We cannot execute $JAVACMD" >&2
156
+  exit 1
157
+fi
158
+
159
+if [ -z "$JAVA_HOME" ] ; then
160
+  echo "Warning: JAVA_HOME environment variable is not set."
161
+fi
162
+
163
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
164
+
165
+# traverses directory structure from process work directory to filesystem root
166
+# first directory with .mvn subdirectory is considered project base directory
167
+find_maven_basedir() {
168
+
169
+  if [ -z "$1" ]
170
+  then
171
+    echo "Path not specified to find_maven_basedir"
172
+    return 1
173
+  fi
174
+
175
+  basedir="$1"
176
+  wdir="$1"
177
+  while [ "$wdir" != '/' ] ; do
178
+    if [ -d "$wdir"/.mvn ] ; then
179
+      basedir=$wdir
180
+      break
181
+    fi
182
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
183
+    if [ -d "${wdir}" ]; then
184
+      wdir=`cd "$wdir/.."; pwd`
185
+    fi
186
+    # end of workaround
187
+  done
188
+  echo "${basedir}"
189
+}
190
+
191
+# concatenates all lines of a file
192
+concat_lines() {
193
+  if [ -f "$1" ]; then
194
+    echo "$(tr -s '\n' ' ' < "$1")"
195
+  fi
196
+}
197
+
198
+BASE_DIR=`find_maven_basedir "$(pwd)"`
199
+if [ -z "$BASE_DIR" ]; then
200
+  exit 1;
201
+fi
202
+
203
+##########################################################################################
204
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
205
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
206
+##########################################################################################
207
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
208
+    if [ "$MVNW_VERBOSE" = true ]; then
209
+      echo "Found .mvn/wrapper/maven-wrapper.jar"
210
+    fi
211
+else
212
+    if [ "$MVNW_VERBOSE" = true ]; then
213
+      echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
214
+    fi
215
+    jarUrl="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.4.2/maven-wrapper-0.4.2.jar"
216
+    while IFS="=" read key value; do
217
+      case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
218
+      esac
219
+    done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
220
+    if [ "$MVNW_VERBOSE" = true ]; then
221
+      echo "Downloading from: $jarUrl"
222
+    fi
223
+    wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
224
+
225
+    if command -v wget > /dev/null; then
226
+        if [ "$MVNW_VERBOSE" = true ]; then
227
+          echo "Found wget ... using wget"
228
+        fi
229
+        wget "$jarUrl" -O "$wrapperJarPath"
230
+    elif command -v curl > /dev/null; then
231
+        if [ "$MVNW_VERBOSE" = true ]; then
232
+          echo "Found curl ... using curl"
233
+        fi
234
+        curl -o "$wrapperJarPath" "$jarUrl"
235
+    else
236
+        if [ "$MVNW_VERBOSE" = true ]; then
237
+          echo "Falling back to using Java to download"
238
+        fi
239
+        javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
240
+        if [ -e "$javaClass" ]; then
241
+            if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
242
+                if [ "$MVNW_VERBOSE" = true ]; then
243
+                  echo " - Compiling MavenWrapperDownloader.java ..."
244
+                fi
245
+                # Compiling the Java class
246
+                ("$JAVA_HOME/bin/javac" "$javaClass")
247
+            fi
248
+            if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
249
+                # Running the downloader
250
+                if [ "$MVNW_VERBOSE" = true ]; then
251
+                  echo " - Running MavenWrapperDownloader.java ..."
252
+                fi
253
+                ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
254
+            fi
255
+        fi
256
+    fi
257
+fi
258
+##########################################################################################
259
+# End of extension
260
+##########################################################################################
261
+
262
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
263
+if [ "$MVNW_VERBOSE" = true ]; then
264
+  echo $MAVEN_PROJECTBASEDIR
265
+fi
266
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
267
+
268
+# For Cygwin, switch paths to Windows format before running java
269
+if $cygwin; then
270
+  [ -n "$M2_HOME" ] &&
271
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
272
+  [ -n "$JAVA_HOME" ] &&
273
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
274
+  [ -n "$CLASSPATH" ] &&
275
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
276
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
277
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
278
+fi
279
+
280
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
281
+
282
+exec "$JAVACMD" \
283
+  $MAVEN_OPTS \
284
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
285
+  "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
286
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 161 - 0
mvnw.cmd

@@ -0,0 +1,161 @@
1
+@REM ----------------------------------------------------------------------------
2
+@REM Licensed to the Apache Software Foundation (ASF) under one
3
+@REM or more contributor license agreements.  See the NOTICE file
4
+@REM distributed with this work for additional information
5
+@REM regarding copyright ownership.  The ASF licenses this file
6
+@REM to you under the Apache License, Version 2.0 (the
7
+@REM "License"); you may not use this file except in compliance
8
+@REM with the License.  You may obtain a copy of the License at
9
+@REM
10
+@REM    http://www.apache.org/licenses/LICENSE-2.0
11
+@REM
12
+@REM Unless required by applicable law or agreed to in writing,
13
+@REM software distributed under the License is distributed on an
14
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
15
+@REM KIND, either express or implied.  See the License for the
16
+@REM specific language governing permissions and limitations
17
+@REM under the License.
18
+@REM ----------------------------------------------------------------------------
19
+
20
+@REM ----------------------------------------------------------------------------
21
+@REM Maven2 Start Up Batch script
22
+@REM
23
+@REM Required ENV vars:
24
+@REM JAVA_HOME - location of a JDK home dir
25
+@REM
26
+@REM Optional ENV vars
27
+@REM M2_HOME - location of maven2's installed home dir
28
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
29
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
30
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
31
+@REM     e.g. to debug Maven itself, use
32
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
33
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
34
+@REM ----------------------------------------------------------------------------
35
+
36
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
37
+@echo off
38
+@REM set title of command window
39
+title %0
40
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
41
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
42
+
43
+@REM set %HOME% to equivalent of $HOME
44
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
45
+
46
+@REM Execute a user defined script before this one
47
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
48
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
49
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
50
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
51
+:skipRcPre
52
+
53
+@setlocal
54
+
55
+set ERROR_CODE=0
56
+
57
+@REM To isolate internal variables from possible post scripts, we use another setlocal
58
+@setlocal
59
+
60
+@REM ==== START VALIDATION ====
61
+if not "%JAVA_HOME%" == "" goto OkJHome
62
+
63
+echo.
64
+echo Error: JAVA_HOME not found in your environment. >&2
65
+echo Please set the JAVA_HOME variable in your environment to match the >&2
66
+echo location of your Java installation. >&2
67
+echo.
68
+goto error
69
+
70
+:OkJHome
71
+if exist "%JAVA_HOME%\bin\java.exe" goto init
72
+
73
+echo.
74
+echo Error: JAVA_HOME is set to an invalid directory. >&2
75
+echo JAVA_HOME = "%JAVA_HOME%" >&2
76
+echo Please set the JAVA_HOME variable in your environment to match the >&2
77
+echo location of your Java installation. >&2
78
+echo.
79
+goto error
80
+
81
+@REM ==== END VALIDATION ====
82
+
83
+:init
84
+
85
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
86
+@REM Fallback to current working directory if not found.
87
+
88
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
89
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
90
+
91
+set EXEC_DIR=%CD%
92
+set WDIR=%EXEC_DIR%
93
+:findBaseDir
94
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
95
+cd ..
96
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
97
+set WDIR=%CD%
98
+goto findBaseDir
99
+
100
+:baseDirFound
101
+set MAVEN_PROJECTBASEDIR=%WDIR%
102
+cd "%EXEC_DIR%"
103
+goto endDetectBaseDir
104
+
105
+:baseDirNotFound
106
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
107
+cd "%EXEC_DIR%"
108
+
109
+:endDetectBaseDir
110
+
111
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
112
+
113
+@setlocal EnableExtensions EnableDelayedExpansion
114
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
115
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
116
+
117
+:endReadAdditionalConfig
118
+
119
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
120
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
121
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
122
+
123
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.4.2/maven-wrapper-0.4.2.jar"
124
+FOR /F "tokens=1,2 delims==" %%A IN (%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties) DO (
125
+	IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B 
126
+)
127
+
128
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
129
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
130
+if exist %WRAPPER_JAR% (
131
+    echo Found %WRAPPER_JAR%
132
+) else (
133
+    echo Couldn't find %WRAPPER_JAR%, downloading it ...
134
+	echo Downloading from: %DOWNLOAD_URL%
135
+    powershell -Command "(New-Object Net.WebClient).DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"
136
+    echo Finished downloading %WRAPPER_JAR%
137
+)
138
+@REM End of extension
139
+
140
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
141
+if ERRORLEVEL 1 goto error
142
+goto end
143
+
144
+:error
145
+set ERROR_CODE=1
146
+
147
+:end
148
+@endlocal & set ERROR_CODE=%ERROR_CODE%
149
+
150
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
151
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
152
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
153
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
154
+:skipRcPost
155
+
156
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
157
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
158
+
159
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
160
+
161
+exit /B %ERROR_CODE%

+ 59 - 0
pom.xml

@@ -0,0 +1,59 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
3
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
4
+	<modelVersion>4.0.0</modelVersion>
5
+
6
+	<groupId>com.latian</groupId>
7
+	<artifactId>latianSpringBoot</artifactId>
8
+	<version>0.0.1-SNAPSHOT</version>
9
+	<packaging>jar</packaging>
10
+
11
+	<name>latianSpringBoot</name>
12
+	<description>Demo project for Spring Boot</description>
13
+
14
+	<parent>
15
+		<groupId>org.springframework.boot</groupId>
16
+		<artifactId>spring-boot-starter-parent</artifactId>
17
+		<version>2.1.0.RELEASE</version>
18
+		<relativePath/> <!-- lookup parent from repository -->
19
+	</parent>
20
+
21
+	<properties>
22
+		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
23
+		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
24
+		<java.version>1.8</java.version>
25
+	</properties>
26
+
27
+	<dependencies>
28
+		<dependency>
29
+			<groupId>org.springframework.boot</groupId>
30
+			<artifactId>spring-boot-starter-data-jpa</artifactId>
31
+		</dependency>
32
+		<dependency>
33
+			<groupId>org.springframework.boot</groupId>
34
+			<artifactId>spring-boot-starter-web</artifactId>
35
+		</dependency>
36
+
37
+		<dependency>
38
+			<groupId>mysql</groupId>
39
+			<artifactId>mysql-connector-java</artifactId>
40
+			<scope>runtime</scope>
41
+		</dependency>
42
+		<dependency>
43
+			<groupId>org.springframework.boot</groupId>
44
+			<artifactId>spring-boot-starter-test</artifactId>
45
+			<scope>test</scope>
46
+		</dependency>
47
+	</dependencies>
48
+
49
+	<build>
50
+		<plugins>
51
+			<plugin>
52
+				<groupId>org.springframework.boot</groupId>
53
+				<artifactId>spring-boot-maven-plugin</artifactId>
54
+			</plugin>
55
+		</plugins>
56
+	</build>
57
+
58
+
59
+</project>

+ 14 - 0
src/main/java/com/latian/latianSpringBoot/LatianSpringBootApplication.java

@@ -0,0 +1,14 @@
1
+package com.latian.latianSpringBoot;
2
+
3
+import org.springframework.boot.SpringApplication;
4
+import org.springframework.boot.autoconfigure.SpringBootApplication;
5
+import org.springframework.context.annotation.ComponentScan;
6
+
7
+@SpringBootApplication
8
+@ComponentScan
9
+public class LatianSpringBootApplication {
10
+
11
+	public static void main(String[] args) {
12
+		SpringApplication.run(LatianSpringBootApplication.class, args);
13
+	}
14
+}

+ 48 - 0
src/main/java/com/latian/latianSpringBoot/controller/ControllerCategories.java

@@ -0,0 +1,48 @@
1
+package com.latian.latianSpringBoot.controller;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.web.bind.annotation.DeleteMapping;
7
+import org.springframework.web.bind.annotation.GetMapping;
8
+import org.springframework.web.bind.annotation.PathVariable;
9
+import org.springframework.web.bind.annotation.PostMapping;
10
+import org.springframework.web.bind.annotation.PutMapping;
11
+import org.springframework.web.bind.annotation.RequestBody;
12
+import org.springframework.web.bind.annotation.RestController;
13
+
14
+import com.latian.latianSpringBoot.model.ModelCategories;
15
+import com.latian.latianSpringBoot.service.ServiceCategories;
16
+
17
+@RestController
18
+public class ControllerCategories {
19
+	
20
+	@Autowired
21
+	ServiceCategories sc;
22
+	
23
+	@GetMapping(value="/categories")
24
+	public List<ModelCategories> getAllData(){
25
+		return sc.getAllData();
26
+	}
27
+	@GetMapping(value="/categories/{id}")
28
+	public ModelCategories getData(@PathVariable("id") Integer id) {
29
+		return sc.getDataById(id);
30
+	}
31
+	@PutMapping(value="/categories/edit/{id}")
32
+	public ModelCategories updateData(@PathVariable("id") Integer id, @RequestBody ModelCategories mc) {
33
+		sc.getDataById(id);
34
+		mc.setCategoryID(mc.getCategoryID());
35
+		mc.setCategoryName(mc.getCategoryName());
36
+		mc.setDescription(mc.getDescription());
37
+		mc.setPicture(mc.getPicture());
38
+		return sc.addCategories(mc);
39
+	}
40
+	@DeleteMapping(value="/categories/hapus/{id}")
41
+	public ModelCategories deleteData(@PathVariable("id") Integer id) {
42
+		return sc.deleteCategories(id);
43
+	}
44
+	@PostMapping(value="/categories")
45
+	public ModelCategories inputData(@RequestBody ModelCategories mc) {
46
+		return sc.addCategories(mc);
47
+	}
48
+}

+ 54 - 0
src/main/java/com/latian/latianSpringBoot/controller/ControllerCustomer.java

@@ -0,0 +1,54 @@
1
+package com.latian.latianSpringBoot.controller;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.web.bind.annotation.DeleteMapping;
7
+import org.springframework.web.bind.annotation.GetMapping;
8
+import org.springframework.web.bind.annotation.PathVariable;
9
+import org.springframework.web.bind.annotation.PostMapping;
10
+import org.springframework.web.bind.annotation.PutMapping;
11
+import org.springframework.web.bind.annotation.RequestBody;
12
+import org.springframework.web.bind.annotation.RestController;
13
+
14
+import com.latian.latianSpringBoot.model.ModelCustomer;
15
+import com.latian.latianSpringBoot.service.ServiceCustomer;
16
+
17
+@RestController
18
+public class ControllerCustomer {
19
+	
20
+	@Autowired
21
+	ServiceCustomer ls;
22
+	
23
+	@GetMapping(value="/customer")
24
+	public List<ModelCustomer> getAllData() {
25
+		return ls.showTabel();
26
+	}
27
+	@PostMapping(value="/customer")
28
+	public ModelCustomer tambahSiswa(@RequestBody ModelCustomer md) {
29
+		return ls.tambahCust(md);
30
+	}
31
+	@GetMapping(value="/customer/{id}")
32
+	public ModelCustomer cariIdCustomer(@PathVariable("id") Integer id) {
33
+		return ls.cariId(id);
34
+	}
35
+	@PutMapping(value="/customer/edit/{id}")
36
+	public ModelCustomer editCustomer(@PathVariable("id") Integer id, @RequestBody ModelCustomer md) {
37
+		ls.cariId(id);
38
+		md.setAddress(md.getAddress());
39
+		md.setCompanyName(md.getCity());
40
+		md.setCompanyName(md.getCompanyName());
41
+		md.setContactName(md.getContactName());
42
+		md.setContactTitle(md.getContactTitle());
43
+		md.setCountry(md.getCountry());
44
+		md.setFax(md.getFax());
45
+		md.setPhone(md.getPhone());
46
+		md.setPostalCode(md.getPostalCode());
47
+		md.setRegion(md.getRegion());
48
+		return ls.tambahCust(md);
49
+	}
50
+	@DeleteMapping(value="/customer/delete/{id}")
51
+	public ModelCustomer deleteCustomer(@PathVariable("id") Integer id) {
52
+		return ls.deleteCust(id);
53
+	}
54
+}

+ 60 - 0
src/main/java/com/latian/latianSpringBoot/controller/ControllerEmployees.java

@@ -0,0 +1,60 @@
1
+package com.latian.latianSpringBoot.controller;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.web.bind.annotation.DeleteMapping;
7
+import org.springframework.web.bind.annotation.GetMapping;
8
+import org.springframework.web.bind.annotation.PathVariable;
9
+import org.springframework.web.bind.annotation.PostMapping;
10
+import org.springframework.web.bind.annotation.PutMapping;
11
+import org.springframework.web.bind.annotation.RequestBody;
12
+import org.springframework.web.bind.annotation.RestController;
13
+
14
+import com.latian.latianSpringBoot.model.ModelEmployees;
15
+import com.latian.latianSpringBoot.service.ServiceEmployees;
16
+
17
+@RestController
18
+public class ControllerEmployees {
19
+	@Autowired
20
+	ServiceEmployees serviceEmployees;
21
+	
22
+	@GetMapping(value="/employees")
23
+	public List<ModelEmployees> getAllEmployees() {
24
+		return serviceEmployees.getAllData();
25
+	}
26
+	@GetMapping(value="/employees/{id}")
27
+	public ModelEmployees getEmployeesById(@PathVariable("id") Integer id) {
28
+		return serviceEmployees.getDataById(id);
29
+	}
30
+	@PostMapping(value="/employees")
31
+	public ModelEmployees addEmployees(@RequestBody ModelEmployees modelEmployees) {
32
+		return serviceEmployees.addData(modelEmployees);
33
+	}
34
+	@DeleteMapping(value="/employees/hapus/{id}")
35
+	public ModelEmployees deleteEmployees(@PathVariable("id") Integer id) {
36
+		return serviceEmployees.deletData(id);
37
+	}
38
+	@PutMapping(value="/employees/edit/{id}")
39
+	public ModelEmployees editEmployees(@PathVariable("id") Integer id, @RequestBody ModelEmployees modelEmployees) {
40
+		serviceEmployees.getDataById(id);
41
+		modelEmployees.setAddress(modelEmployees.getAddress());
42
+		modelEmployees.setBirthDate(modelEmployees.getBirthDate());
43
+		modelEmployees.setCity(modelEmployees.getCity());
44
+		modelEmployees.setCountry(modelEmployees.getCountry());
45
+		modelEmployees.setExtension(modelEmployees.getExtension());
46
+		modelEmployees.setFirstName(modelEmployees.getFirstName());
47
+		modelEmployees.setHireDate(modelEmployees.getHireDate());
48
+		modelEmployees.setHomePhone(modelEmployees.getHomePhone());
49
+		modelEmployees.setLastName(modelEmployees.getLastName());
50
+		modelEmployees.setNotes(modelEmployees.getNotes());
51
+		modelEmployees.setPhoto(modelEmployees.getPhoto());
52
+		modelEmployees.setPostalCode(modelEmployees.getPostalCode());
53
+		modelEmployees.setPhotoPath(modelEmployees.getPhotoPath());
54
+		modelEmployees.setRegion(modelEmployees.getRegion());
55
+		modelEmployees.setReportsTo(modelEmployees.getReportsTo());
56
+		modelEmployees.setTitle(modelEmployees.getTitle());
57
+		modelEmployees.setTitleOfCourtesy(modelEmployees.getTitleOfCourtesy());
58
+		return serviceEmployees.addData(modelEmployees);
59
+	}
60
+}

+ 26 - 0
src/main/java/com/latian/latianSpringBoot/controller/ControllerOrderDetail.java

@@ -0,0 +1,26 @@
1
+package com.latian.latianSpringBoot.controller;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.web.bind.annotation.GetMapping;
7
+import org.springframework.web.bind.annotation.PathVariable;
8
+import org.springframework.web.bind.annotation.RestController;
9
+
10
+import com.latian.latianSpringBoot.model.ModelOrderDetail;
11
+import com.latian.latianSpringBoot.service.ServiceOrderDetail;
12
+
13
+@RestController
14
+public class ControllerOrderDetail {
15
+	@Autowired
16
+	ServiceOrderDetail sOrderDetail;
17
+	
18
+	@GetMapping(value="/order/detail")
19
+	public List<ModelOrderDetail> getAllDetailOrder(){
20
+		return sOrderDetail.getAllData();
21
+	}
22
+	@GetMapping(value="/order/detail/{id}")
23
+	public List<ModelOrderDetail> getDataByOrderId(@PathVariable("id") Integer orderId){
24
+		return sOrderDetail.getDataByOrder(orderId);
25
+	}
26
+}

+ 37 - 0
src/main/java/com/latian/latianSpringBoot/controller/ControllerOrders.java

@@ -0,0 +1,37 @@
1
+package com.latian.latianSpringBoot.controller;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.web.bind.annotation.DeleteMapping;
7
+import org.springframework.web.bind.annotation.GetMapping;
8
+import org.springframework.web.bind.annotation.PathVariable;
9
+import org.springframework.web.bind.annotation.PostMapping;
10
+import org.springframework.web.bind.annotation.RequestBody;
11
+import org.springframework.web.bind.annotation.RestController;
12
+
13
+import com.latian.latianSpringBoot.model.ModelOrders;
14
+import com.latian.latianSpringBoot.service.ServiceOrder;
15
+
16
+@RestController
17
+public class ControllerOrders {
18
+	@Autowired
19
+	ServiceOrder serviceOrder;
20
+	
21
+	@GetMapping(value="/orders")
22
+	public List<ModelOrders> getAllOrder(){
23
+		return serviceOrder.getAllData();
24
+	}
25
+	@GetMapping(value="/orders/{id}")
26
+	public ModelOrders getOrderById(@PathVariable("id") Integer id) {
27
+		return serviceOrder.getDataById(id);
28
+	}
29
+	@PostMapping(value="/orders")
30
+	public ModelOrders addOrder(@RequestBody ModelOrders modelOrders ) {
31
+		return serviceOrder.addData(modelOrders);
32
+	}
33
+	@DeleteMapping(value="/orders/delete/{id}")
34
+	public ModelOrders deleteOrder(@PathVariable("id") Integer id) {
35
+		return serviceOrder.deleteData(id);
36
+	}
37
+}

+ 32 - 0
src/main/java/com/latian/latianSpringBoot/controller/ControllerProducts.java

@@ -0,0 +1,32 @@
1
+package com.latian.latianSpringBoot.controller;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.web.bind.annotation.GetMapping;
7
+import org.springframework.web.bind.annotation.PathVariable;
8
+import org.springframework.web.bind.annotation.PostMapping;
9
+import org.springframework.web.bind.annotation.RequestBody;
10
+import org.springframework.web.bind.annotation.RestController;
11
+
12
+import com.latian.latianSpringBoot.model.ModelProducts;
13
+import com.latian.latianSpringBoot.service.ServiceProducts;
14
+
15
+@RestController
16
+public class ControllerProducts {
17
+	@Autowired
18
+	ServiceProducts serviceProducts;
19
+	
20
+	@GetMapping(value="/products")
21
+	public List<ModelProducts> getAllProducts(){
22
+		return serviceProducts.getAllData();
23
+	}
24
+	@GetMapping(value="/products/{id}")
25
+	public ModelProducts getProductById(@PathVariable("id") Integer id) {
26
+		return serviceProducts.getDataById(id);
27
+	}
28
+	@PostMapping(value="/products")
29
+	public ModelProducts addProduct(@RequestBody ModelProducts modelProducts) {
30
+		return serviceProducts.addData(modelProducts);
31
+	}
32
+}

+ 45 - 0
src/main/java/com/latian/latianSpringBoot/controller/ControllerShipper.java

@@ -0,0 +1,45 @@
1
+package com.latian.latianSpringBoot.controller;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.web.bind.annotation.DeleteMapping;
7
+import org.springframework.web.bind.annotation.GetMapping;
8
+import org.springframework.web.bind.annotation.PathVariable;
9
+import org.springframework.web.bind.annotation.PostMapping;
10
+import org.springframework.web.bind.annotation.PutMapping;
11
+import org.springframework.web.bind.annotation.RequestBody;
12
+import org.springframework.web.bind.annotation.RestController;
13
+
14
+import com.latian.latianSpringBoot.model.ModelShipper;
15
+import com.latian.latianSpringBoot.service.ServiceShipper;
16
+
17
+@RestController
18
+public class ControllerShipper {
19
+	@Autowired
20
+	ServiceShipper ss;
21
+	
22
+	@GetMapping(value="/shipper")
23
+	public List<ModelShipper> getAllData() {
24
+		return ss.getAll();
25
+	}
26
+	@GetMapping(value="/shipper/{id}")
27
+	public ModelShipper getDataById(@PathVariable("id") Integer id) {
28
+		return ss.getById(id);
29
+	}
30
+	@PostMapping(value="/shipper")
31
+	public ModelShipper saveData(@RequestBody ModelShipper ms) {
32
+		return ss.addShipper(ms);
33
+	}
34
+	@PutMapping(value="/shipper/edit/{id}")
35
+	public ModelShipper editData(@PathVariable("id") Integer id, @RequestBody ModelShipper ms) {
36
+		ss.getById(id);
37
+		ms.setCompanyName(ms.getCompanyName());
38
+		ms.setPhone(ms.getPhone());
39
+		return ss.addShipper(ms);
40
+	}
41
+	@DeleteMapping(value="/shipper/delete/{id}")
42
+	public ModelShipper deleteShipper(@PathVariable("id") Integer id) {
43
+		return ss.deleteShipper(id);
44
+	}
45
+}

+ 55 - 0
src/main/java/com/latian/latianSpringBoot/controller/ControllerSuppliers.java

@@ -0,0 +1,55 @@
1
+package com.latian.latianSpringBoot.controller;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.web.bind.annotation.DeleteMapping;
7
+import org.springframework.web.bind.annotation.GetMapping;
8
+import org.springframework.web.bind.annotation.PathVariable;
9
+import org.springframework.web.bind.annotation.PostMapping;
10
+import org.springframework.web.bind.annotation.PutMapping;
11
+import org.springframework.web.bind.annotation.RequestBody;
12
+import org.springframework.web.bind.annotation.RestController;
13
+
14
+import com.latian.latianSpringBoot.model.ModelSuppliers;
15
+import com.latian.latianSpringBoot.service.ServiceSupliers;
16
+
17
+@RestController
18
+public class ControllerSuppliers {
19
+	
20
+	@Autowired
21
+	ServiceSupliers serviceSupliers;
22
+	
23
+	@GetMapping(value="/suppliers")
24
+	public List<ModelSuppliers> getAll() {
25
+		return serviceSupliers.getAllData();
26
+	}
27
+	@GetMapping(value="/suppliers/{id}")
28
+	public ModelSuppliers getSuppliersById(@PathVariable("id") Integer id) {
29
+		return serviceSupliers.getDataById(id);
30
+	}
31
+	@PostMapping(value="/suppliers")
32
+	public ModelSuppliers addSuppliers(@RequestBody ModelSuppliers modelSuppliers) {
33
+		return serviceSupliers.addSupplier(modelSuppliers);
34
+	}
35
+	@DeleteMapping(value="/suppliers/hapus/{id}")
36
+	public ModelSuppliers deleteSuppliers(@PathVariable("id") Integer id) {
37
+		return serviceSupliers.deleteSupplier(id);
38
+	}
39
+	@PutMapping(value="/suppliers/edit/{id}")
40
+	public ModelSuppliers updateSuppliers(@PathVariable("id") Integer id, @RequestBody ModelSuppliers mSuppliers) {
41
+		serviceSupliers.getDataById(id);
42
+		mSuppliers.setAddress(mSuppliers.getAddress());
43
+		mSuppliers.setCity(mSuppliers.getCity());
44
+		mSuppliers.setCompanyName(mSuppliers.getCompanyName());
45
+		mSuppliers.setContactName(mSuppliers.getContactName());
46
+		mSuppliers.setContactTitle(mSuppliers.getContactTitle());
47
+		mSuppliers.setCountry(mSuppliers.getCountry());
48
+		mSuppliers.setFax(mSuppliers.getFax());
49
+		mSuppliers.setHomepage(mSuppliers.getHomepage());
50
+		mSuppliers.setPhone(mSuppliers.getPhone());
51
+		mSuppliers.setPostalCode(mSuppliers.getPostalCode());
52
+		mSuppliers.setRegion(mSuppliers.getRegion());
53
+		return serviceSupliers.addSupplier(mSuppliers);
54
+	}
55
+}

+ 73 - 0
src/main/java/com/latian/latianSpringBoot/model/ModelCategories.java

@@ -0,0 +1,73 @@
1
+package com.latian.latianSpringBoot.model;
2
+
3
+import java.sql.Blob;
4
+import java.util.List;
5
+import javax.persistence.Column;
6
+import javax.persistence.Entity;
7
+import javax.persistence.GeneratedValue;
8
+import javax.persistence.GenerationType;
9
+import javax.persistence.Id;
10
+import javax.persistence.JoinColumn;
11
+import javax.persistence.OneToMany;
12
+import javax.persistence.Table;
13
+
14
+@Entity
15
+@Table(name="categories")
16
+public class ModelCategories {
17
+	@Id
18
+	@GeneratedValue(strategy = GenerationType.IDENTITY)
19
+	@Column(name="categoryid")
20
+	private int CategoryID;
21
+	
22
+	@Column(name="categoryname")
23
+	private String CategoryName;
24
+	
25
+	@Column(name="description")
26
+	private String Description;
27
+	
28
+	@OneToMany
29
+	@JoinColumn(name="categoryid")
30
+	private List<ModelProducts> mProducts;
31
+	
32
+	public List<ModelProducts> getmProducts() {
33
+		return mProducts;
34
+	}
35
+	public void setmProducts(List<ModelProducts> mProducts) {
36
+		this.mProducts = mProducts;
37
+	}
38
+	
39
+	public String getDescription() {
40
+		return Description;
41
+	}
42
+
43
+	public void setDescription(String description) {
44
+		Description = description;
45
+	}
46
+
47
+	@Column(name="picture")
48
+	private Blob Picture;
49
+
50
+	public int getCategoryID() {
51
+		return CategoryID;
52
+	}
53
+
54
+	public void setCategoryID(int categoryID) {
55
+		CategoryID = categoryID;
56
+	}
57
+
58
+	public String getCategoryName() {
59
+		return CategoryName;
60
+	}
61
+
62
+	public void setCategoryName(String categoryName) {
63
+		CategoryName = categoryName;
64
+	}
65
+
66
+	public Blob getPicture() {
67
+		return Picture;
68
+	}
69
+
70
+	public void setPicture(Blob picture) {
71
+		Picture = picture;
72
+	}
73
+}

+ 130 - 0
src/main/java/com/latian/latianSpringBoot/model/ModelCustomer.java

@@ -0,0 +1,130 @@
1
+package com.latian.latianSpringBoot.model;
2
+
3
+import java.util.List;
4
+
5
+import javax.persistence.Column;
6
+import javax.persistence.Entity;
7
+import javax.persistence.GeneratedValue;
8
+import javax.persistence.GenerationType;
9
+import javax.persistence.Id;
10
+import javax.persistence.JoinColumn;
11
+import javax.persistence.OneToMany;
12
+import javax.persistence.Table;
13
+
14
+@Entity
15
+@Table(name="customers")
16
+public class ModelCustomer {
17
+	
18
+	@Id
19
+	@GeneratedValue(strategy = GenerationType.IDENTITY)
20
+	
21
+	@Column(name="customerid")
22
+	private Integer CustomerID;
23
+	
24
+	@Column(name="companyname")
25
+	private String CompanyName;
26
+	
27
+	@Column(name="contactname")
28
+	private String ContactName;
29
+	
30
+	@Column(name="contacttitle")
31
+	private String ContactTitle;
32
+	
33
+	@Column(name="address")
34
+	private String Address;
35
+	
36
+	@Column(name="city")
37
+	private String City;
38
+	
39
+	@Column(name="region")
40
+	private String Region;
41
+	
42
+	@Column(name="postalcode")
43
+	private String PostalCode;
44
+	
45
+	@Column(name="country")
46
+	private String Country;
47
+	
48
+	@Column(name="phone")
49
+	private String Phone;
50
+	
51
+	@Column(name="fax")
52
+	private String Fax;
53
+	
54
+	@OneToMany
55
+	@JoinColumn(name="customerid")
56
+	private List<ModelOrders> mOrders;
57
+	
58
+	public List<ModelOrders> getmOrders() {
59
+		return mOrders;
60
+	}
61
+	public void setmOrders(List<ModelOrders> mOrders) {
62
+		this.mOrders = mOrders;
63
+	}
64
+	public Integer getCustomerID() {
65
+		return CustomerID;
66
+	}
67
+	public void setCustomerID(Integer customerID) {
68
+		CustomerID = customerID;
69
+	}
70
+	public String getCompanyName() {
71
+		return CompanyName;
72
+	}
73
+	public void setCompanyName(String companyName) {
74
+		CompanyName = companyName;
75
+	}
76
+	public String getContactName() {
77
+		return ContactName;
78
+	}
79
+	public void setContactName(String contactName) {
80
+		ContactName = contactName;
81
+	}
82
+	public String getContactTitle() {
83
+		return ContactTitle;
84
+	}
85
+	public void setContactTitle(String contactTitle) {
86
+		ContactTitle = contactTitle;
87
+	}
88
+	public String getAddress() {
89
+		return Address;
90
+	}
91
+	public void setAddress(String address) {
92
+		Address = address;
93
+	}
94
+	public String getCity() {
95
+		return City;
96
+	}
97
+	public void setCity(String city) {
98
+		City = city;
99
+	}
100
+	public String getRegion() {
101
+		return Region;
102
+	}
103
+	public void setRegion(String region) {
104
+		Region = region;
105
+	}
106
+	public String getPostalCode() {
107
+		return PostalCode;
108
+	}
109
+	public void setPostalCode(String postalCode) {
110
+		PostalCode = postalCode;
111
+	}
112
+	public String getCountry() {
113
+		return Country;
114
+	}
115
+	public void setCountry(String country) {
116
+		Country = country;
117
+	}
118
+	public String getPhone() {
119
+		return Phone;
120
+	}
121
+	public void setPhone(String phone) {
122
+		Phone = phone;
123
+	}
124
+	public String getFax() {
125
+		return Fax;
126
+	}
127
+	public void setFax(String fax) {
128
+		Fax = fax;
129
+	}
130
+}

+ 232 - 0
src/main/java/com/latian/latianSpringBoot/model/ModelEmployees.java

@@ -0,0 +1,232 @@
1
+package com.latian.latianSpringBoot.model;
2
+
3
+import java.sql.Blob;
4
+import java.util.Date;
5
+import java.util.List;
6
+
7
+import javax.persistence.Column;
8
+import javax.persistence.Entity;
9
+import javax.persistence.GeneratedValue;
10
+import javax.persistence.GenerationType;
11
+import javax.persistence.Id;
12
+import javax.persistence.JoinColumn;
13
+import javax.persistence.OneToMany;
14
+import javax.persistence.Table;
15
+
16
+@Entity
17
+@Table(name="employees")
18
+public class ModelEmployees {
19
+	
20
+	@Id
21
+	@GeneratedValue(strategy=GenerationType.IDENTITY)
22
+	@Column(name="employeeid")
23
+	private int EmployeeID;
24
+	
25
+	@Column(name="lastname")
26
+	private String LastName;
27
+	
28
+	@Column(name="firstname")
29
+	private String FirstName;
30
+	
31
+	@Column(name="title")
32
+	private String Title;
33
+	
34
+	@Column(name="titleofcourtesy")
35
+	private String TitleOfCourtesy;
36
+
37
+	@Column(name="birthdate")
38
+	private Date BirthDate;
39
+	
40
+	@Column(name="hiredate")
41
+	private Date HireDate;
42
+	
43
+	@Column(name="address")
44
+	private String Address;
45
+	
46
+	@Column(name="city")
47
+	private String City;
48
+	
49
+	@Column(name="region")
50
+	private String Region;
51
+	
52
+	@Column(name="postalcode")
53
+	private String PostalCode;
54
+	
55
+	@Column(name="country")
56
+	private String Country;
57
+	
58
+	@Column(name="homephone")
59
+	private String HomePhone;
60
+	
61
+	@Column(name="extension")
62
+	private String Extension;
63
+	
64
+	@Column(name="photo")
65
+	private Blob Photo;
66
+	
67
+	@Column(name="notes")
68
+	private String Notes;
69
+	
70
+	@Column(name="reportsto")
71
+	private int ReportsTo;
72
+	
73
+	@Column(name="photopath")
74
+	private String PhotoPath;
75
+	
76
+	@OneToMany
77
+	@JoinColumn(name="employeeid")
78
+	private List<ModelOrders> mOrders;
79
+	
80
+	public List<ModelOrders> getmOrders() {
81
+		return mOrders;
82
+	}
83
+
84
+	public void setmOrders(List<ModelOrders> mOrders) {
85
+		this.mOrders = mOrders;
86
+	}
87
+
88
+	public int getEmployeeID() {
89
+		return EmployeeID;
90
+	}
91
+
92
+	public void setEmployeeID(int employeeID) {
93
+		EmployeeID = employeeID;
94
+	}
95
+
96
+	public String getLastName() {
97
+		return LastName;
98
+	}
99
+
100
+	public void setLastName(String lastName) {
101
+		LastName = lastName;
102
+	}
103
+
104
+	public String getFirstName() {
105
+		return FirstName;
106
+	}
107
+
108
+	public void setFirstName(String firstName) {
109
+		FirstName = firstName;
110
+	}
111
+
112
+	public String getTitle() {
113
+		return Title;
114
+	}
115
+
116
+	public void setTitle(String title) {
117
+		Title = title;
118
+	}
119
+
120
+	public String getTitleOfCourtesy() {
121
+		return TitleOfCourtesy;
122
+	}
123
+
124
+	public void setTitleOfCourtesy(String titleOfCourtesy) {
125
+		TitleOfCourtesy = titleOfCourtesy;
126
+	}
127
+
128
+	public Date getBirthDate() {
129
+		return BirthDate;
130
+	}
131
+
132
+	public void setBirthDate(Date birthDate) {
133
+		BirthDate = birthDate;
134
+	}
135
+
136
+	public Date getHireDate() {
137
+		return HireDate;
138
+	}
139
+
140
+	public void setHireDate(Date hireDate) {
141
+		HireDate = hireDate;
142
+	}
143
+
144
+	public String getAddress() {
145
+		return Address;
146
+	}
147
+
148
+	public void setAddress(String address) {
149
+		Address = address;
150
+	}
151
+
152
+	public String getCity() {
153
+		return City;
154
+	}
155
+
156
+	public void setCity(String city) {
157
+		City = city;
158
+	}
159
+
160
+	public String getRegion() {
161
+		return Region;
162
+	}
163
+
164
+	public void setRegion(String region) {
165
+		Region = region;
166
+	}
167
+
168
+	public String getPostalCode() {
169
+		return PostalCode;
170
+	}
171
+
172
+	public void setPostalCode(String postalCode) {
173
+		PostalCode = postalCode;
174
+	}
175
+
176
+	public String getCountry() {
177
+		return Country;
178
+	}
179
+
180
+	public void setCountry(String country) {
181
+		Country = country;
182
+	}
183
+
184
+	public String getHomePhone() {
185
+		return HomePhone;
186
+	}
187
+
188
+	public void setHomePhone(String homePhone) {
189
+		HomePhone = homePhone;
190
+	}
191
+
192
+	public String getExtension() {
193
+		return Extension;
194
+	}
195
+
196
+	public void setExtension(String extension) {
197
+		Extension = extension;
198
+	}
199
+
200
+	public Blob getPhoto() {
201
+		return Photo;
202
+	}
203
+
204
+	public void setPhoto(Blob photo) {
205
+		Photo = photo;
206
+	}
207
+
208
+	public String getNotes() {
209
+		return Notes;
210
+	}
211
+
212
+	public void setNotes(String notes) {
213
+		Notes = notes;
214
+	}
215
+
216
+	public int getReportsTo() {
217
+		return ReportsTo;
218
+	}
219
+
220
+	public void setReportsTo(int reportsTo) {
221
+		ReportsTo = reportsTo;
222
+	}
223
+
224
+	public String getPhotoPath() {
225
+		return PhotoPath;
226
+	}
227
+
228
+	public void setPhotoPath(String photoPath) {
229
+		PhotoPath = photoPath;
230
+	}
231
+	
232
+}

+ 81 - 0
src/main/java/com/latian/latianSpringBoot/model/ModelOrderDetail.java

@@ -0,0 +1,81 @@
1
+package com.latian.latianSpringBoot.model;
2
+
3
+import javax.persistence.Column;
4
+import javax.persistence.Entity;
5
+import javax.persistence.GeneratedValue;
6
+import javax.persistence.GenerationType;
7
+import javax.persistence.Id;
8
+import javax.persistence.JoinColumn;
9
+import javax.persistence.OneToOne;
10
+import javax.persistence.Table;
11
+
12
+@Entity
13
+@Table(name="orders_detail")
14
+public class ModelOrderDetail {
15
+	
16
+	@Id
17
+	@GeneratedValue(strategy=GenerationType.IDENTITY)
18
+	@Column(name="orderdetailid")
19
+	private int OrderDetailID;
20
+	@Column(name="orderid")
21
+	private int orderID;
22
+	@Column(name="productid")
23
+	private int ProductID;
24
+	@Column(name="unitprice")
25
+	private double UnitPrice;
26
+	@Column(name="quantity")
27
+	private int Quantity;
28
+	@Column(name="discount")
29
+	private double Discount;
30
+	
31
+	@OneToOne
32
+	@JoinColumn(name="productid")
33
+	
34
+	public int getOrderDetailID() {
35
+		return OrderDetailID;
36
+	}
37
+
38
+	public void setOrderDetailID(int orderDetailID) {
39
+		OrderDetailID = orderDetailID;
40
+	}
41
+
42
+	public int getOrderID() {
43
+		return orderID;
44
+	}
45
+
46
+	public void setOrderID(int orderID) {
47
+		this.orderID = orderID;
48
+	}
49
+
50
+	public int getProductID() {
51
+		return ProductID;
52
+	}
53
+
54
+	public void setProductID(int productID) {
55
+		ProductID = productID;
56
+	}
57
+
58
+	public double getUnitPrice() {
59
+		return UnitPrice;
60
+	}
61
+
62
+	public void setUnitPrice(double unitPrice) {
63
+		UnitPrice = unitPrice;
64
+	}
65
+
66
+	public int getQuantity() {
67
+		return Quantity;
68
+	}
69
+
70
+	public void setQuantity(int quantity) {
71
+		Quantity = quantity;
72
+	}
73
+
74
+	public double getDiscount() {
75
+		return Discount;
76
+	}
77
+
78
+	public void setDiscount(double discount) {
79
+		Discount = discount;
80
+	}
81
+}

+ 164 - 0
src/main/java/com/latian/latianSpringBoot/model/ModelOrders.java

@@ -0,0 +1,164 @@
1
+package com.latian.latianSpringBoot.model;
2
+
3
+import java.util.Date;
4
+import java.util.List;
5
+
6
+import javax.persistence.Column;
7
+import javax.persistence.Entity;
8
+import javax.persistence.GeneratedValue;
9
+import javax.persistence.GenerationType;
10
+import javax.persistence.Id;
11
+import javax.persistence.JoinColumn;
12
+import javax.persistence.OneToMany;
13
+import javax.persistence.Table;
14
+
15
+import com.fasterxml.jackson.annotation.JsonFormat;
16
+import com.fasterxml.jackson.annotation.JsonProperty;
17
+
18
+@Entity
19
+@Table(name="orders")
20
+public class ModelOrders {
21
+	
22
+	@Id
23
+	@GeneratedValue(strategy=GenerationType.IDENTITY)
24
+	@Column(name="orderid")
25
+	private int OrderID;
26
+	
27
+	@Column(name="customerid")
28
+	private int CustomerID;
29
+	
30
+	@Column(name="employeeid")
31
+	private int EmployeeID;
32
+	
33
+	@Column(name="orderdate")
34
+	@JsonFormat(pattern="dd/MM/yyyy")
35
+	private Date orderDate;
36
+	
37
+	@Column(name="requireddate")
38
+	@JsonFormat(pattern="dd/MM/yyyy")
39
+	private Date requiredDate;
40
+	
41
+	@Column(name="shippeddate")
42
+	@JsonFormat(pattern="dd/MM/yyyy")
43
+	private Date shippedDate;
44
+	
45
+	@Column(name="shipvia")
46
+	private int ShipVia;
47
+	
48
+	@Column(name="freight")
49
+	private Double freight;
50
+	
51
+	@Column(name="shipname")
52
+	private String ShipName;
53
+	
54
+	@Column(name="shipaddress")
55
+	private String ShipAddress;
56
+	
57
+	@Column(name="shipcity")
58
+	private String ShipCity;
59
+	
60
+	@Column(name="shipregion")
61
+	private String ShipRegion;
62
+	
63
+	@Column(name="shippostalcode")
64
+	private String ShipPostalCode;
65
+	
66
+	@Column(name="shipcountry")
67
+	private String ShipCountry;
68
+	
69
+	@OneToMany
70
+	@JoinColumn(name="orderid")
71
+	@JsonProperty("details")
72
+	private List<ModelOrderDetail> modelOrderDetails;
73
+	
74
+	public List<ModelOrderDetail> getModelOrderDetails() {
75
+		return modelOrderDetails;
76
+	}
77
+	public void setModelOrderDetails(List<ModelOrderDetail> modelOrderDetails) {
78
+		this.modelOrderDetails = modelOrderDetails;
79
+	}
80
+	public int getOrderID() {
81
+		return OrderID;
82
+	}
83
+	public void setOrderID(int orderID) {
84
+		OrderID = orderID;
85
+	}
86
+	public int getCustomerID() {
87
+		return CustomerID;
88
+	}
89
+	public void setCustomerID(int customerID) {
90
+		CustomerID = customerID;
91
+	}
92
+	public int getEmployeeID() {
93
+		return EmployeeID;
94
+	}
95
+	public void setEmployeeID(int employeeID) {
96
+		EmployeeID = employeeID;
97
+	}
98
+	public Date getOrderDate() {
99
+		return orderDate;
100
+	}
101
+	public void setOrderDate(Date orderDate) {
102
+		this.orderDate = orderDate;
103
+	}
104
+	public Date getRequiredDate() {
105
+		return requiredDate;
106
+	}
107
+	public void setRequiredDate(Date requiredDate) {
108
+		this.requiredDate = requiredDate;
109
+	}
110
+	public Date getShippedDate() {
111
+		return shippedDate;
112
+	}
113
+	public void setShippedDate(Date shippedDate) {
114
+		this.shippedDate = shippedDate;
115
+	}
116
+	public int getShipVia() {
117
+		return ShipVia;
118
+	}
119
+	public void setShipVia(int shipVia) {
120
+		ShipVia = shipVia;
121
+	}
122
+	public Double getFreight() {
123
+		return freight;
124
+	}
125
+	public void setFreight(Double freight) {
126
+		this.freight = freight;
127
+	}
128
+	public String getShipName() {
129
+		return ShipName;
130
+	}
131
+	public void setShipName(String shipName) {
132
+		ShipName = shipName;
133
+	}
134
+	public String getShipAddress() {
135
+		return ShipAddress;
136
+	}
137
+	public void setShipAddress(String shipAddress) {
138
+		ShipAddress = shipAddress;
139
+	}
140
+	public String getShipCity() {
141
+		return ShipCity;
142
+	}
143
+	public void setShipCity(String shipCity) {
144
+		ShipCity = shipCity;
145
+	}
146
+	public String getShipRegion() {
147
+		return ShipRegion;
148
+	}
149
+	public void setShipRegion(String shipRegion) {
150
+		ShipRegion = shipRegion;
151
+	}
152
+	public String getShipPostalCode() {
153
+		return ShipPostalCode;
154
+	}
155
+	public void setShipPostalCode(String shipPostalCode) {
156
+		ShipPostalCode = shipPostalCode;
157
+	}
158
+	public String getShipCountry() {
159
+		return ShipCountry;
160
+	}
161
+	public void setShipCountry(String shipCountry) {
162
+		ShipCountry = shipCountry;
163
+	}
164
+}

+ 119 - 0
src/main/java/com/latian/latianSpringBoot/model/ModelProducts.java

@@ -0,0 +1,119 @@
1
+package com.latian.latianSpringBoot.model;
2
+
3
+import javax.persistence.Column;
4
+import javax.persistence.Entity;
5
+import javax.persistence.GeneratedValue;
6
+import javax.persistence.GenerationType;
7
+import javax.persistence.Id;
8
+import javax.persistence.Table;
9
+
10
+@Entity
11
+@Table(name="products")
12
+public class ModelProducts {
13
+	
14
+	@Id
15
+	@GeneratedValue(strategy=GenerationType.IDENTITY)
16
+	@Column(name="productid")
17
+	private int ProductID;
18
+	@Column(name="productname")
19
+	private String ProductName;
20
+	@Column(name="supplierid")
21
+	private int SupplierID;
22
+	@Column(name="categoryid")
23
+	private int CategoryID;
24
+	@Column(name="quantityperunit")
25
+	private String QuantityPerUnit;
26
+	@Column(name="unitprice")
27
+	private double UnitPrice;
28
+	@Column(name="unitsinstock")
29
+	private int UnitsInStock;
30
+	@Column(name="unitsonorder")
31
+	private int UnitsOnOrder;
32
+	@Column(name="recorderlevel")
33
+	private int RecorderLevel;
34
+	@Column(name="discountinued",columnDefinition = "BIT")
35
+	private int Discountinued;
36
+
37
+	public int getProductID() {
38
+		return ProductID;
39
+	}
40
+
41
+	public void setProductID(int productID) {
42
+		ProductID = productID;
43
+	}
44
+
45
+	public String getProductName() {
46
+		return ProductName;
47
+	}
48
+
49
+	public void setProductName(String productName) {
50
+		ProductName = productName;
51
+	}
52
+
53
+	public int getSupplierID() {
54
+		return SupplierID;
55
+	}
56
+
57
+	public void setSupplierID(int supplierID) {
58
+		SupplierID = supplierID;
59
+	}
60
+
61
+	public int getCategoryID() {
62
+		return CategoryID;
63
+	}
64
+
65
+	public void setCategoryID(int categoryID) {
66
+		CategoryID = categoryID;
67
+	}
68
+
69
+	public String getQuantityPerUnit() {
70
+		return QuantityPerUnit;
71
+	}
72
+
73
+	public void setQuantityPerUnit(String quantityPerUnit) {
74
+		QuantityPerUnit = quantityPerUnit;
75
+	}
76
+
77
+	public double getUnitPrice() {
78
+		return UnitPrice;
79
+	}
80
+
81
+	public void setUnitPrice(double unitPrice) {
82
+		UnitPrice = unitPrice;
83
+	}
84
+
85
+	public int getUnitsInStock() {
86
+		return UnitsInStock;
87
+	}
88
+
89
+	public void setUnitsInStock(int unitsInStock) {
90
+		UnitsInStock = unitsInStock;
91
+	}
92
+
93
+	public int getUnitsOnOrder() {
94
+		return UnitsOnOrder;
95
+	}
96
+
97
+	public void setUnitsOnOrder(int unitsOnOrder) {
98
+		UnitsOnOrder = unitsOnOrder;
99
+	}
100
+
101
+	public int getRecorderLevel() {
102
+		return RecorderLevel;
103
+	}
104
+
105
+	public void setRecorderLevel(int recorderLevel) {
106
+		RecorderLevel = recorderLevel;
107
+	}
108
+
109
+	public int getDiscountinued() {
110
+		return Discountinued;
111
+	}
112
+
113
+	public void setDiscountinued(int discountinued) {
114
+		Discountinued = discountinued;
115
+	}
116
+
117
+	
118
+	
119
+}

+ 58 - 0
src/main/java/com/latian/latianSpringBoot/model/ModelShipper.java

@@ -0,0 +1,58 @@
1
+package com.latian.latianSpringBoot.model;
2
+
3
+import java.util.List;
4
+
5
+import javax.persistence.Column;
6
+import javax.persistence.Entity;
7
+import javax.persistence.GeneratedValue;
8
+import javax.persistence.GenerationType;
9
+import javax.persistence.Id;
10
+import javax.persistence.JoinColumn;
11
+import javax.persistence.OneToMany;
12
+import javax.persistence.Table;
13
+
14
+@Entity
15
+@Table(name="shippers")
16
+public class ModelShipper {
17
+	
18
+	@Id
19
+	@GeneratedValue(strategy = GenerationType.IDENTITY)
20
+	
21
+	@Column(name="shipperid")
22
+	private int ShipperID;
23
+	
24
+	@Column(name="companyname")
25
+	private String CompanyName;
26
+	
27
+	@Column(name="phone")
28
+	private String Phone;
29
+	
30
+	@OneToMany
31
+	@JoinColumn(name="shipvia")
32
+	private List<ModelOrders> mOrders;
33
+
34
+	public List<ModelOrders> getmOrders() {
35
+		return mOrders;
36
+	}
37
+	public void setmOrders(List<ModelOrders> mOrders) {
38
+		this.mOrders = mOrders;
39
+	}
40
+	public int getShipperID() {
41
+		return ShipperID;
42
+	}
43
+	public void setShipperID(int shipperID) {
44
+		ShipperID = shipperID;
45
+	}
46
+	public String getCompanyName() {
47
+		return CompanyName;
48
+	}
49
+	public void setCompanyName(String companyName) {
50
+		CompanyName = companyName;
51
+	}
52
+	public String getPhone() {
53
+		return Phone;
54
+	}
55
+	public void setPhone(String phone) {
56
+		Phone = phone;
57
+	}
58
+}

+ 151 - 0
src/main/java/com/latian/latianSpringBoot/model/ModelSuppliers.java

@@ -0,0 +1,151 @@
1
+package com.latian.latianSpringBoot.model;
2
+
3
+import java.util.List;
4
+
5
+import javax.persistence.Column;
6
+import javax.persistence.Entity;
7
+import javax.persistence.GeneratedValue;
8
+import javax.persistence.GenerationType;
9
+import javax.persistence.Id;
10
+import javax.persistence.JoinColumn;
11
+import javax.persistence.OneToMany;
12
+import javax.persistence.Table;
13
+
14
+@Entity
15
+@Table(name="suppliers")
16
+public class ModelSuppliers {
17
+	@Id
18
+	@GeneratedValue(strategy=GenerationType.IDENTITY)
19
+	@Column(name="supplierid")
20
+	private int SupplierID;
21
+	@Column(name="companyname")
22
+	private String CompanyName;
23
+	@Column(name="contactname")
24
+	private String ContactName;
25
+	@Column(name="contacttitle")
26
+	private String ContactTitle;
27
+	@Column(name="address")
28
+	private String Address;
29
+	@Column(name="city")
30
+	private String City;
31
+	@Column(name="region")
32
+	private String Region;
33
+	@Column(name="postalcode")
34
+	private String PostalCode;
35
+	@Column(name="country")
36
+	private String Country;
37
+	@Column(name="phone")
38
+	private String Phone;
39
+	@Column(name="fax")
40
+	private String Fax;
41
+	@Column(name="homepage")
42
+	private String Homepage;
43
+	
44
+	@OneToMany
45
+	@JoinColumn(name="supplierid")
46
+	private List<ModelProducts> mProducts;
47
+	
48
+	public List<ModelProducts> getmProducts() {
49
+		return mProducts;
50
+	}
51
+
52
+	public void setmProducts(List<ModelProducts> mProducts) {
53
+		this.mProducts = mProducts;
54
+	}
55
+	
56
+	public int getSupplierID() {
57
+		return SupplierID;
58
+	}
59
+
60
+	public void setSupplierID(int supplierID) {
61
+		SupplierID = supplierID;
62
+	}
63
+
64
+	public String getCompanyName() {
65
+		return CompanyName;
66
+	}
67
+
68
+	public void setCompanyName(String companyName) {
69
+		CompanyName = companyName;
70
+	}
71
+
72
+	public String getContactName() {
73
+		return ContactName;
74
+	}
75
+
76
+	public void setContactName(String contactName) {
77
+		ContactName = contactName;
78
+	}
79
+
80
+	public String getContactTitle() {
81
+		return ContactTitle;
82
+	}
83
+
84
+	public void setContactTitle(String contactTitle) {
85
+		ContactTitle = contactTitle;
86
+	}
87
+
88
+	public String getAddress() {
89
+		return Address;
90
+	}
91
+
92
+	public void setAddress(String address) {
93
+		Address = address;
94
+	}
95
+
96
+	public String getCity() {
97
+		return City;
98
+	}
99
+
100
+	public void setCity(String city) {
101
+		City = city;
102
+	}
103
+
104
+	public String getRegion() {
105
+		return Region;
106
+	}
107
+
108
+	public void setRegion(String region) {
109
+		Region = region;
110
+	}
111
+
112
+	public String getPostalCode() {
113
+		return PostalCode;
114
+	}
115
+
116
+	public void setPostalCode(String postalCode) {
117
+		PostalCode = postalCode;
118
+	}
119
+
120
+	public String getCountry() {
121
+		return Country;
122
+	}
123
+
124
+	public void setCountry(String country) {
125
+		Country = country;
126
+	}
127
+
128
+	public String getPhone() {
129
+		return Phone;
130
+	}
131
+
132
+	public void setPhone(String phone) {
133
+		Phone = phone;
134
+	}
135
+
136
+	public String getFax() {
137
+		return Fax;
138
+	}
139
+
140
+	public void setFax(String fax) {
141
+		Fax = fax;
142
+	}
143
+
144
+	public String getHomepage() {
145
+		return Homepage;
146
+	}
147
+
148
+	public void setHomepage(String homepage) {
149
+		Homepage = homepage;
150
+	}
151
+}

+ 10 - 0
src/main/java/com/latian/latianSpringBoot/repository/CategoriesRepository.java

@@ -0,0 +1,10 @@
1
+package com.latian.latianSpringBoot.repository;
2
+
3
+import org.springframework.data.jpa.repository.JpaRepository;
4
+
5
+import com.latian.latianSpringBoot.model.ModelCategories;
6
+
7
+public interface CategoriesRepository extends JpaRepository<ModelCategories, Integer>{
8
+	
9
+	
10
+}

+ 9 - 0
src/main/java/com/latian/latianSpringBoot/repository/CustomerRepository.java

@@ -0,0 +1,9 @@
1
+package com.latian.latianSpringBoot.repository;
2
+
3
+import org.springframework.data.jpa.repository.JpaRepository;
4
+
5
+import com.latian.latianSpringBoot.model.ModelCustomer;
6
+
7
+public interface CustomerRepository extends JpaRepository<ModelCustomer, Integer>{
8
+	
9
+}

+ 9 - 0
src/main/java/com/latian/latianSpringBoot/repository/EmployeesRepository.java

@@ -0,0 +1,9 @@
1
+package com.latian.latianSpringBoot.repository;
2
+
3
+import org.springframework.data.jpa.repository.JpaRepository;
4
+
5
+import com.latian.latianSpringBoot.model.ModelEmployees;
6
+
7
+public interface EmployeesRepository extends JpaRepository<ModelEmployees, Integer>{
8
+
9
+}

+ 11 - 0
src/main/java/com/latian/latianSpringBoot/repository/OrderDetailRepository.java

@@ -0,0 +1,11 @@
1
+package com.latian.latianSpringBoot.repository;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.data.jpa.repository.JpaRepository;
6
+import com.latian.latianSpringBoot.model.ModelOrderDetail;
7
+
8
+public interface OrderDetailRepository extends JpaRepository<ModelOrderDetail, Integer>{
9
+
10
+	List<ModelOrderDetail> findByOrderID(Integer orderId);
11
+}

+ 9 - 0
src/main/java/com/latian/latianSpringBoot/repository/OrdersRepository.java

@@ -0,0 +1,9 @@
1
+package com.latian.latianSpringBoot.repository;
2
+
3
+import org.springframework.data.jpa.repository.JpaRepository;
4
+
5
+import com.latian.latianSpringBoot.model.ModelOrders;
6
+
7
+public interface OrdersRepository extends JpaRepository<ModelOrders, Integer> {
8
+
9
+}

+ 9 - 0
src/main/java/com/latian/latianSpringBoot/repository/ProductsRepository.java

@@ -0,0 +1,9 @@
1
+package com.latian.latianSpringBoot.repository;
2
+
3
+import org.springframework.data.jpa.repository.JpaRepository;
4
+
5
+import com.latian.latianSpringBoot.model.ModelProducts;
6
+
7
+public interface ProductsRepository extends JpaRepository<ModelProducts, Integer>{
8
+
9
+}

+ 9 - 0
src/main/java/com/latian/latianSpringBoot/repository/ShipperRepository.java

@@ -0,0 +1,9 @@
1
+package com.latian.latianSpringBoot.repository;
2
+
3
+import org.springframework.data.jpa.repository.JpaRepository;
4
+
5
+import com.latian.latianSpringBoot.model.ModelShipper;
6
+
7
+public interface ShipperRepository extends JpaRepository<ModelShipper, Integer>{
8
+
9
+}

+ 9 - 0
src/main/java/com/latian/latianSpringBoot/repository/SuppliersRepository.java

@@ -0,0 +1,9 @@
1
+package com.latian.latianSpringBoot.repository;
2
+
3
+import org.springframework.data.jpa.repository.JpaRepository;
4
+
5
+import com.latian.latianSpringBoot.model.ModelSuppliers;
6
+
7
+public interface SuppliersRepository extends JpaRepository<ModelSuppliers, Integer>{
8
+	
9
+}

+ 30 - 0
src/main/java/com/latian/latianSpringBoot/service/ServiceCategories.java

@@ -0,0 +1,30 @@
1
+package com.latian.latianSpringBoot.service;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.stereotype.Service;
7
+
8
+import com.latian.latianSpringBoot.model.ModelCategories;
9
+import com.latian.latianSpringBoot.repository.CategoriesRepository;
10
+
11
+@Service
12
+public class ServiceCategories {
13
+	
14
+	@Autowired
15
+	CategoriesRepository cr;
16
+
17
+	public List<ModelCategories> getAllData(){
18
+		return cr.findAll();
19
+	}
20
+	public ModelCategories getDataById(Integer id) {
21
+		return cr.findById(id).get();
22
+	}
23
+	public ModelCategories addCategories(ModelCategories mc) {
24
+		return cr.save(mc);
25
+	}
26
+	public ModelCategories deleteCategories(Integer id) {
27
+		cr.deleteById(id);
28
+		return deleteCategories(id);
29
+	}
30
+}

+ 29 - 0
src/main/java/com/latian/latianSpringBoot/service/ServiceCustomer.java

@@ -0,0 +1,29 @@
1
+package com.latian.latianSpringBoot.service;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.stereotype.Service;
7
+
8
+import com.latian.latianSpringBoot.model.ModelCustomer;
9
+import com.latian.latianSpringBoot.repository.CustomerRepository;
10
+
11
+@Service
12
+public class ServiceCustomer{
13
+	@Autowired
14
+	CustomerRepository lr;
15
+	
16
+	public List<ModelCustomer> showTabel(){
17
+		return lr.findAll();
18
+	}
19
+	public ModelCustomer tambahCust(ModelCustomer mc) {
20
+		return lr.save(mc);
21
+	}
22
+	public ModelCustomer cariId(Integer id) {
23
+		return lr.findById(id).get();
24
+	}
25
+	public ModelCustomer deleteCust(Integer id) {
26
+		lr.deleteById(id);
27
+		return deleteCust(id);
28
+	}
29
+}

+ 29 - 0
src/main/java/com/latian/latianSpringBoot/service/ServiceEmployees.java

@@ -0,0 +1,29 @@
1
+package com.latian.latianSpringBoot.service;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.stereotype.Service;
7
+
8
+import com.latian.latianSpringBoot.model.ModelEmployees;
9
+import com.latian.latianSpringBoot.repository.EmployeesRepository;
10
+
11
+@Service
12
+public class ServiceEmployees {
13
+	@Autowired
14
+	EmployeesRepository employeesRepository;
15
+	
16
+	public List<ModelEmployees> getAllData(){
17
+		return employeesRepository.findAll();
18
+	}
19
+	public ModelEmployees getDataById(Integer id) {
20
+		return employeesRepository.findById(id).get();
21
+	}
22
+	public ModelEmployees addData(ModelEmployees modelEmployees) {
23
+		return employeesRepository.save(modelEmployees);
24
+	}
25
+	public ModelEmployees deletData(Integer id) {
26
+		employeesRepository.deleteById(id);
27
+		return deletData(id);
28
+	}
29
+}

+ 29 - 0
src/main/java/com/latian/latianSpringBoot/service/ServiceOrder.java

@@ -0,0 +1,29 @@
1
+package com.latian.latianSpringBoot.service;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.stereotype.Service;
7
+
8
+import com.latian.latianSpringBoot.model.ModelOrders;
9
+import com.latian.latianSpringBoot.repository.OrdersRepository;
10
+
11
+@Service
12
+public class ServiceOrder {
13
+	@Autowired
14
+	OrdersRepository ordersRepository;
15
+	
16
+	public List<ModelOrders> getAllData(){
17
+		return ordersRepository.findAll();
18
+	}
19
+	public ModelOrders getDataById(Integer id) {
20
+		return ordersRepository.findById(id).get();
21
+	}
22
+	public ModelOrders addData(ModelOrders modelOrders) {
23
+		return ordersRepository.save(modelOrders);
24
+	}
25
+	public ModelOrders deleteData(Integer id) {
26
+		ordersRepository.deleteById(id);
27
+		return null;
28
+	}
29
+}

+ 29 - 0
src/main/java/com/latian/latianSpringBoot/service/ServiceOrderDetail.java

@@ -0,0 +1,29 @@
1
+package com.latian.latianSpringBoot.service;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.stereotype.Service;
7
+
8
+import com.latian.latianSpringBoot.model.ModelOrderDetail;
9
+import com.latian.latianSpringBoot.repository.OrderDetailRepository;
10
+
11
+@Service
12
+public class ServiceOrderDetail {
13
+	
14
+	@Autowired
15
+	OrderDetailRepository oDetailRepository;
16
+	
17
+	public List<ModelOrderDetail> getAllData(){
18
+		return oDetailRepository.findAll();
19
+	}
20
+	public ModelOrderDetail getDataById(Integer id) {
21
+		return oDetailRepository.findById(id).get();
22
+	}
23
+	public List<ModelOrderDetail> getDataByOrder(Integer orderId){
24
+		return oDetailRepository.findByOrderID(orderId);
25
+	}
26
+	public ModelOrderDetail addData(ModelOrderDetail modelOrderDetail) {
27
+		return oDetailRepository.save(modelOrderDetail);
28
+	}
29
+}

+ 29 - 0
src/main/java/com/latian/latianSpringBoot/service/ServiceProducts.java

@@ -0,0 +1,29 @@
1
+package com.latian.latianSpringBoot.service;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.stereotype.Service;
7
+
8
+import com.latian.latianSpringBoot.model.ModelProducts;
9
+import com.latian.latianSpringBoot.repository.ProductsRepository;
10
+
11
+@Service
12
+public class ServiceProducts {
13
+	@Autowired
14
+	ProductsRepository productsRepository;
15
+	
16
+	public List<ModelProducts> getAllData(){
17
+		return productsRepository.findAll();
18
+	}
19
+	public ModelProducts getDataById(Integer id) {
20
+		return productsRepository.findById(id).get();
21
+	}
22
+	public ModelProducts addData(ModelProducts modelProducts) {
23
+		return productsRepository.save(modelProducts);
24
+	}
25
+	public ModelProducts deleteData(Integer id) {
26
+		productsRepository.deleteById(id);
27
+		return deleteData(id);
28
+	}
29
+}

+ 30 - 0
src/main/java/com/latian/latianSpringBoot/service/ServiceShipper.java

@@ -0,0 +1,30 @@
1
+package com.latian.latianSpringBoot.service;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.stereotype.Service;
7
+
8
+import com.latian.latianSpringBoot.model.ModelShipper;
9
+import com.latian.latianSpringBoot.repository.ShipperRepository;
10
+
11
+@Service
12
+public class ServiceShipper {
13
+	
14
+	@Autowired
15
+	ShipperRepository sr;
16
+	
17
+	public List<ModelShipper> getAll(){
18
+		return sr.findAll();
19
+	}
20
+	public ModelShipper getById(Integer id) {
21
+		return sr.findById(id).get();
22
+	}
23
+	public ModelShipper addShipper(ModelShipper ms) {
24
+		return sr.save(ms);
25
+	}
26
+	public ModelShipper deleteShipper(Integer id) {
27
+		sr.deleteById(id);
28
+		return deleteShipper(id);
29
+	}
30
+}

+ 29 - 0
src/main/java/com/latian/latianSpringBoot/service/ServiceSupliers.java

@@ -0,0 +1,29 @@
1
+package com.latian.latianSpringBoot.service;
2
+
3
+import java.util.List;
4
+
5
+import org.springframework.beans.factory.annotation.Autowired;
6
+import org.springframework.stereotype.Service;
7
+
8
+import com.latian.latianSpringBoot.model.ModelSuppliers;
9
+import com.latian.latianSpringBoot.repository.SuppliersRepository;
10
+
11
+@Service
12
+public class ServiceSupliers {
13
+	@Autowired
14
+	SuppliersRepository suppliersRepository;
15
+	
16
+	public List<ModelSuppliers> getAllData(){
17
+		return suppliersRepository.findAll();
18
+	}
19
+	public ModelSuppliers getDataById(Integer id) {
20
+		return suppliersRepository.findById(id).get();
21
+	}
22
+	public ModelSuppliers addSupplier(ModelSuppliers ms) {
23
+		return suppliersRepository.save(ms);
24
+	}
25
+	public ModelSuppliers deleteSupplier(Integer id) {
26
+		suppliersRepository.deleteById(id);
27
+		return deleteSupplier(id);
28
+	}
29
+}

+ 4 - 0
src/main/resources/application.properties

@@ -0,0 +1,4 @@
1
+spring.jpa.hibernate.ddl-auto=none
2
+spring.datasource.url=jdbc:mysql://localhost:3306/order_system
3
+spring.datasource.username=root
4
+spring.datasource.password=

+ 16 - 0
src/test/java/com/latian/latianSpringBoot/LatianSpringBootApplicationTests.java

@@ -0,0 +1,16 @@
1
+package com.latian.latianSpringBoot;
2
+
3
+import org.junit.Test;
4
+import org.junit.runner.RunWith;
5
+import org.springframework.boot.test.context.SpringBootTest;
6
+import org.springframework.test.context.junit4.SpringRunner;
7
+
8
+@RunWith(SpringRunner.class)
9
+@SpringBootTest
10
+public class LatianSpringBootApplicationTests {
11
+
12
+	@Test
13
+	public void contextLoads() {
14
+	}
15
+
16
+}